     function  dydx   = deriv(xin,yin)
%
%    dydx   =  deriv(xin,yin)
%
%     numeric derivative - simple dy/dx
%     xin, yin must be same length > 1
%     x monotonic, not nec evenly spaced
%
%     for evenly spaced data at dx,  gives same as
%     dydx = gradient( yin, dx)  
%

%
%         dx   = (xin(j+1) - xin(j))
%         dy   = (yin(j+1) - yin(j))
%         dydx = interp1 ( dy/dx ) to xin pts
%

     xout = [];
     dyout= [];
%
     len  = length(xin);
     leny = length(yin);
     if len ~= leny, return; end;
     if len <=1 ,    return; end;
%
     xm = xin(1:len-1);
     xp = xin(2:len);
     dx = xp-xm;
     dy = yin(2:len) - yin(1:len-1);
%
     xout  = 0.5* (xm+xp);
     dyout = dy./dx;
%
     kbad =  find( isinf(dyout) );
     dyout(kbad) = NaN;
%
     dydx = interp1( xout, dyout, xin);
