           function  [m,b,xi] =  line2pt(x1,y1,x2,y2)
%
%         2 point line defination
%
%         [m,b,xi] = line2pt ( x1,y1, x2,y2)
%
%         input
%              (x1,y1)        one point on line
%              (x2,y2)        second point on line
%         output
%              parameters:   y= mx + b
%              intercept     xi = - b/m      where line crosses x axis
%
%         ----------------------------------------------------------------
%
        m   =   nan;
        xi  =   nan;
        b   =   nan;
%
        mi  =   0;
%
        dx  =   x2 - x1;
        dy  =   y2 - y1;
%
        vflag =   0;
        hflag =   0;
%
        if abs(dx) < 1.0e-9 ;   vflag = 1;  end;
        if abs(dy) < 1.0e-9 ;   hflag = 1;  end;
%
%              standard case
%
        if vflag == 0
%
            m  =  dy/dx;
            b  =  y1 - m * x1;
%
            if hflag == 0
                xi  =  - b/m;
            end
%
        end
%
        return
