      function  [parms,covar]  = mlsans(hthin, htyin)
%  compute results for data entered into m.l.s. arrays
%
%  [parms,covar]  = mlsans(hthin, htyin)
%
% input:
%     htyin    =  last value of h'y  
%     hthin    =  last value of h'h  
% output:
%     parms (numparm)   = mls estimates of the parameters
%     covar             = covariance matrix of parameters ( P )
%              ** except needs to be multiplied by the
%                 variance of the measurement noise **
%    
%         part of 3 routines for  mls   mlsinit - initialize
%                                       mlsdata - add one measurement
%                                       mlsans  - compute estimates and P
%         ----------------------------------------------------------
%
     P       = inv ( hthin );
     xest    = P * htyin;
%
     parms   = xest;
     covar   = P;
%
     return;
