      function  [hth, hty]  = mlsdata(measure,partials,hthin, htyin)
% Insert a measurement into a Ordianry Mean Least Squares  estimate
%
% [hth, hty]  = mlsdata(measure,partials,hthin, htyin)
%
% input:
%       measure  = measurement  ( y, model y= hx + noise)
%       partials = row vector of partials //must be row format //
%                   partials(i)  = part.drev Measure/Unknown(i)
%     htyin    =  last value of h'y  -- history to be updated and passed on
%     hthin    =  last value of h'h  --   "     "
%
% output:
%         hth  current value of h'h -- pass into next call
%         hty    "       "      h'y --  "        "
%    
%         part of 3 routines for  mls   mlsinit - initialize
%                                       mlsdata - add one measurement
%                                       mlsans  - compute estimates and P
%         ----------------------------------------------------------
%
     htynow  =  partials'*measure ;
     hthnow  =  partials'*partials;
%
     hth     = hthin + hthnow;
     hty     = htyin + htynow;
%
     return;
