     function [ a,b,siga,sigb,rms ]= mlsline(x,y)
%
%              mls line fit  ( see also ) wmlsline
%                  
%         [a,b,siga,sig,rms] = mlsline(x,y)
%                 
%    input:
%              x    independent variable 
%              y    data - modeled as y= a + b*x
%
%
%    output:
%              a,b         = parameters 1 and 2
%              siga,sigb   = covariance, diagnal components
%                            expected std of a, b
%
     lenv = size(x);
     nobs = max(lenv);
%
     iter = 0;
     done = 0;
%
%                   linear so just start at 0
%
     az  = 0;
     bz  = 0;
%
     a   =  az;
     b   =  bz;
%
%    -----------------------------------------------------------
%
%                   iterate even though linear - later expand
%                   for sigma editing
%
%
      while (~done)
%
          iter   =  iter + 1;
%
          omc    =  [];
          htr   =  zeros(2,1);
          hth   =  zeros(2,2);
%
%              de-bias the data 
%
          xbias = x(1);
          abias = b*xbias;
          ause  = a + abias;
%
          for  im=1:nobs
%
             xn = x(im)-xbias;
             yn = y(im);
%
             yc  = ause + b*xn;
             omc = yn - yc;
%
             p1  = 1;
             p2  = xn;
%
             hth(1,1)  =  hth(1,1) + p1*p1;
             hth(1,2)  =  hth(1,2) + p1*p2;
             hth(2,1)  =  hth(2,1) + p2*p1;
             hth(2,2)  =  hth(2,2) + p2*p2;
%
%
             htr(1)    =  htr(1)   + p1*omc;
             htr(2)    =  htr(2)   + p2*omc;
%
          end
%
          hthi   = inv ( hth );
          dx      = hthi * htr;
%
          da      = dx(1);
          db      = dx(2);
%
          p       = hthi;
%
          siga    = sqrt(p(1,1));
          sigb    = sqrt(p(2,2));
%
          ause    = ause  + da;
          b       = b     + db;
%
          if iter > 1, done=1; end;
%
      end
%
      a  =  ause - abias;
%
%-------------------------------------------------------------
%
%         raw and weighted rms
%
     rms   = 0;
%
     for im = 1:nobs
%
         xn  =  x(im);
         yn  =  y(im);
         omc =  yn - ( a + b*xn );
%
         rms =  rms  + omc*omc;
%
    end
%
         rms   = sqrt( rms/nobs);
%
%    ----------------------------------------------------
%
        return
