     function  y =  pdfksb(x)
%
%    Base PCDF  for K-S test  -- unscaled function
%
%         y =  pdfksb(x)
%              x a scaler or vector - not matrix
%
%         x = sqrt(n)*max-deviation-cdf    usually (called lamda often)
%
%    N.R.  says better x = sqrt(n) + 0.12 + 0.11/sqrt(n)
%    after  paper - Stephens,M. A., J. Royal Stat Soc, B, 32, 115, 1970
%

%    qksbase = 2*sum{ (-1)**(j+1) * exp(-2j*j*x*x) }
%    pdfksb  = deriv of this 
%
%         ------------------------------------------------------
%
     y = zeros ( size(x));

     itermax = 100;
%
     xx   =  x.*x;
%
     pm1  = -1.0;
     j    = 0;
     sum  =  zeros(size(x));
%
     ixover = [];
     done   = 0;
     while (done==0)

        j      =   j+1;
        pm1    = - pm1;
        ev     = - 2.0*j*j*xx;
        dfact  = - 2.0*j*j*x;
        term   =   pm1*dfact.*exp(ev);
%
        sum    =   sum + term;
%
        convtst=  max(abs(term));
%
        if convtst <= 1.0D-10 
            done = 1;
        end
%
%         non-converge, fix values bad to qks = 1.0
%
        if  j >= itermax 
           ixover       = find( abs(term) >1.0D-9 );
           sum(ixover)  =  0.0;
           done =  1;
        end
%
      end
%
      y  = - 4.0 * sum;
