     function y = pks ( n, devmax)
%
%         P for K-S test   =  CDF
%
%      P =  pks(n,devmax)
%            n = degrees freedom 
%            devmax  = max deviation of obs CDF - Theory CDF
%
%         Note: at least one of n,devmax must be scaler,
%               other can be a vector or scaler
%
%      result is for a two sided test, divide by two for one sided test
%
%      Based on N.R.  code in N.R. for C 1st ed pg 624

%         ----------------------------------
%
%      compute effective lamda and use base routine
%
      nuse  = max( abs(n), 1);
      delta = abs(devmax);
%
      lamda =  devmax * (sqrt(nuse) + 0.11 + 0.12 ./ sqrt(nuse) );
%
      y     =  1.0 - qksbare(lamda);
