     function [tavg, xrms] = windrms(n,t,x)
%
%         [tavg,xrms] =  windrms (n,t,x)
%
%         form average time and rms of variable x over
%         non-overlapping windows n long.  Last may be short
%
%    input
%              n         number of points to average
%              t         time array / independent variable
%              x         data array / dependent variable
%    output
%              tavg      average time for each output
%              xrms      rms of x values 
%
%              are  length(t)/n   outputs
%
%         -------------------------------------------------
%
      tavg =[];
      xrms =[];
%
      lent = length ( t );
      lenx = length ( x );
%
      if lent ~= lenx ,   break,  end;
      if lent <= 0    ,   break,  end;
%
      if  n   <= 0    ,   break,  end;
%
      ito   = 0;
      ifrom = 1;
      while  1 ;

         iend = ifrom + n - 1;
         if iend > lenx   ,  iend = lenx;  end;

         xuse   = x(ifrom:iend);
         tuse   = t(ifrom:iend);

         sumt   = sum(tuse);
         sumxx  = sum( xuse.*xuse);
         nuse   = length( xuse);

         ito    = ito + 1;
         tavg(ito)  =  sumt/nuse;
         xrms(ito)  =  sqrt( sumxx/nuse);

         ifrom  =  iend + 1;
         if ifrom > lenx ,  break,  end;

     end;

     return;
